#!/usr/bin/env node
import fs from 'node:fs';
import { resolve } from 'node:path';
import { name } from '../dist/package.json';

const pkgPath = resolve(process.cwd(), 'package.json');
const pkg = JSON.parse(fs.readFileSync(pkgPath, 'utf8'));

pkg.devDependencies ??= {};

Object.assign(pkg.devDependencies, {
  'eslint-plugin-import': `file:./node_modules/${name}/import`,
  'eslint-plugin-jsx-a11y': `file:./node_modules/${name}/jsx-a11y`,
  'eslint-plugin-local': `file:./node_modules/${name}/local`,
  'eslint-plugin-rules': `file:./node_modules/${name}/rules`,
  'eslint-plugin-react': `file:./node_modules/${name}/react`,
  'eslint-plugin-react-hooks': `file:./node_modules/${name}/react-hooks`,
});

fs.writeFileSync(pkgPath, JSON.stringify(pkg, null, 2));
